Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class TF_Writer

    java.lang.Object
      ix.iface.domain.DomainWriter
          ix.iface.domain.LTF_Writer
              ix.iface.domain.TF_Writer

    public class TF_Writer

extends LTF_Writer

Writes domain descriptions in O-Plan TF syntax.

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.domain.DomainWriter
`DomainWriter.DomainWriterWrapper`

Field Summary
`static Symbol` | `S_CONDITION`
`static Symbol` | `S_EFFECT`
`static Symbol` | `S_WORLD_STATE`

Fields inherited from class ix.iface.domain.LTF_Writer
`domainName, out`

Constructor Summary
`TF_Writer(java.io.File domainName)`

Method Summary
`(package private) void` | `outAnnotations(Annotations annotations)`
`(package private) void` | `outBigSeparator()`
`(package private) void` | `outClauseFinish()`
`(package private) void` | `outClauseStart(java.lang.String name)`
`(package private) void` | `outComments(java.lang.String comments)`
`(package private) void` | `outConstraint(Constraint c)`
`(package private) void` | `outConstraints(java.util.List constraints)`
`(package private) void` | `outConstraints(java.lang.String clauseName, java.util.List constraints)`
`(package private) void` | `outDomainAnnotation(java.lang.Object key, java.lang.Object value)`
`(package private) void` | `outIssue(Issue issue)`
`(package private) void` | `outIssues(java.util.List issues)`
`(package private) void` | `outNode(NodeSpec spec)`
`(package private) void` | `outObjectClass(ObjectClass c)`
`(package private) void` | `outOrdering(Ordering ord)`
`(package private) void` | `outRefinementClose()`
`(package private) void` | `outRefinementHeader(Refinement r)`
`(package private) void` | `outSmallSeparator()`
`(package private) void` | `outVarDcls(java.util.List varDcls)`
`(package private) java.lang.String` | `patternText(LList pattern)`
`(package private) java.lang.String` | `safeName(java.lang.String name)`
`(package private) java.lang.String` | `toString(java.lang.Object o)`

Methods inherited from class ix.iface.domain.LTF_Writer
`isFullyPrintable, out, out, out, out, outAnnotationValue, outConstraintParameter, outDomain, outln, outMap, outNodeEndRef, outNodes, outObject, outOrderings, outPV, outRefinement, outTimeWindow, writeDomain, writeDomain, writeRefinement`

Methods inherited from class ix.iface.domain.DomainWriter
`makeWriter, saveDomain, saveDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_WORLD_STATE

    public static final Symbol S_WORLD_STATE

### S_CONDITION

    public static final Symbol S_CONDITION

### S_EFFECT

    public static final Symbol S_EFFECT

Constructor Detail

### TF_Writer

    public TF_Writer(java.io.File domainName)

Method Detail

### outDomainAnnotation

    void outDomainAnnotation(java.lang.Object key,
                             java.lang.Object value)

  Overrides:
    `outDomainAnnotation` in class `LTF_Writer`

### outObjectClass

    void outObjectClass(ObjectClass c)

  Overrides:
    `outObjectClass` in class `LTF_Writer`

### outRefinementHeader

    void outRefinementHeader(Refinement r)

  Overrides:
    `outRefinementHeader` in class `LTF_Writer`

### outRefinementClose

    void outRefinementClose()

  Overrides:
    `outRefinementClose` in class `LTF_Writer`

### outClauseStart

    void outClauseStart(java.lang.String name)

  Overrides:
    `outClauseStart` in class `LTF_Writer`

### outClauseFinish

    void outClauseFinish()

  Overrides:
    `outClauseFinish` in class `LTF_Writer`

### outBigSeparator

    void outBigSeparator()

  Overrides:
    `outBigSeparator` in class `LTF_Writer`

### outSmallSeparator

    void outSmallSeparator()

  Overrides:
    `outSmallSeparator` in class `LTF_Writer`

### outVarDcls

    void outVarDcls(java.util.List varDcls)

  Overrides:
    `outVarDcls` in class `LTF_Writer`

### outNode

    void outNode(NodeSpec spec)

  Overrides:
    `outNode` in class `LTF_Writer`

### outOrdering

    void outOrdering(Ordering ord)

  Overrides:
    `outOrdering` in class `LTF_Writer`

### outConstraints

    void outConstraints(java.util.List constraints)

  Overrides:
    `outConstraints` in class `LTF_Writer`

### outConstraints

    void outConstraints(java.lang.String clauseName,
                        java.util.List constraints)

### outConstraint

    void outConstraint(Constraint c)

  Overrides:
    `outConstraint` in class `LTF_Writer`

### outIssues

    void outIssues(java.util.List issues)

  Overrides:
    `outIssues` in class `LTF_Writer`

### outIssue

    void outIssue(Issue issue)

  Overrides:
    `outIssue` in class `LTF_Writer`

### outComments

    void outComments(java.lang.String comments)

  Overrides:
    `outComments` in class `LTF_Writer`

### outAnnotations

    void outAnnotations(Annotations annotations)

  Overrides:
    `outAnnotations` in class `LTF_Writer`

### toString

    java.lang.String toString(java.lang.Object o)

  Overrides:
    `toString` in class `LTF_Writer`

### patternText

    java.lang.String patternText(LList pattern)

### safeName

    java.lang.String safeName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD